from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import Int, File, Boolean, String

Simplegraph_V0_1_0 = CommandToolBuilder(tool="SimpleGraph", base_command=["SimpleGraph"], inputs=[ToolInput(tag="in_km_er", input_type=Int(optional=True), prefix="--kmer", doc=InputDocumentation(doc="k-mer size")), ToolInput(tag="in_n_pairs", input_type=Int(optional=True), prefix="--npairs", doc=InputDocumentation(doc="minimum number of pairs [0]")), ToolInput(tag="in_seed_length", input_type=Int(optional=True), prefix="--seed-length", doc=InputDocumentation(doc="minimum seed contig length [0]")), ToolInput(tag="in_dist_error", input_type=Int(optional=True), prefix="--dist-error", doc=InputDocumentation(doc="acceptable error of a distance estimate\ndefault is 6 bp")), ToolInput(tag="in_max_cost", input_type=Int(optional=True), prefix="--max-cost", doc=InputDocumentation(doc="maximum computational cost")), ToolInput(tag="in_out", input_type=File(optional=True), prefix="--out", doc=InputDocumentation(doc="write result to FILE")), ToolInput(tag="in_threads", input_type=Int(optional=True), prefix="--threads", doc=InputDocumentation(doc="use THREADS parallel threads [1]")), ToolInput(tag="in_extend", input_type=Boolean(optional=True), prefix="--extend", doc=InputDocumentation(doc="extend unambiguous paths")), ToolInput(tag="in_no_extend", input_type=Boolean(optional=True), prefix="--no-extend", doc=InputDocumentation(doc="do not extend unambiguous paths [default]")), ToolInput(tag="in_scaffold", input_type=Boolean(optional=True), prefix="--scaffold", doc=InputDocumentation(doc="join contigs with Ns [default]")), ToolInput(tag="in_no_scaffold", input_type=Boolean(optional=True), prefix="--no-scaffold", doc=InputDocumentation(doc="do not scaffold")), ToolInput(tag="in_verbose", input_type=Boolean(optional=True), prefix="--verbose", doc=InputDocumentation(doc="display verbose output")), ToolInput(tag="in_db", input_type=File(optional=True), prefix="--db", doc=InputDocumentation(doc="specify path of database repository in FILE")), ToolInput(tag="in_library", input_type=String(optional=True), prefix="--library", doc=InputDocumentation(doc="specify library NAME for sqlite")), ToolInput(tag="in_strain", input_type=String(optional=True), prefix="--strain", doc=InputDocumentation(doc="specify strain NAME for sqlite")), ToolInput(tag="in_species", input_type=String(optional=True), prefix="--species", doc=InputDocumentation(doc="specify species NAME for sqlite")), ToolInput(tag="in_adj", input_type=String(), position=0, doc=InputDocumentation(doc="adjacency of the contigs")), ToolInput(tag="in_dist", input_type=String(), position=1, doc=InputDocumentation(doc="distance estimates between the contigs"))], outputs=[], container=None, version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Simplegraph_V0_1_0().translate("wdl", allow_empty_container=True)

